org.apache.felix.bundleplugin

## Class BlueprintPlugin

- java.lang.Object
- - org.apache.felix.bundleplugin.BlueprintPlugin

- All Implemented Interfaces:
    aQute.bnd.service.AnalyzerPlugin

      public class BlueprintPlugin
      extends Object
      implements aQute.bnd.service.AnalyzerPlugin

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BlueprintPlugin()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `analyze(InputStream in)`
    `boolean` | `analyzeJar(aQute.bnd.osgi.Analyzer analyzer)`
    `protected Transformer` | `getTransformer(URL url)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BlueprintPlugin

          public BlueprintPlugin()
                          throws Exception

      Throws:
        `Exception`

  - ### Method Detail

    - #### analyzeJar

          public boolean analyzeJar(aQute.bnd.osgi.Analyzer analyzer)
                             throws Exception

      Specified by:
        `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
      Throws:
        `Exception`

    - #### analyze

          public Set<String> analyze(InputStream in)
                              throws Exception

      Throws:
        `Exception`

    - #### getTransformer

          protected Transformer getTransformer(URL url)
                                        throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.